%define civname	freeciv
%define name	%{civname}-civworld
%define version	1.14.0
%define release 4mdk

Name:		%{name}
Summary:	Editor for FREE CIVilization clone
Version:	%{version}
Release:	%{release}
Icon:		freeciv.gif 
Source0:	ftp://ftp.freeciv.org/freeciv/stable/%{civname}-%{version}.tar.bz2
Source1:	%{name}
Source10:	%{name}.16.png
Source11:	%{name}.32.png
Source12:	%{name}.48.png
Patch0:		ftp://ftp.freeciv.org/freeciv/contrib/utils/civworld/civworld-%{version}.diff-against-freeciv.bz2
Patch1:		%{name}-fix_typo.patch.bz2
License:	GPL
Group:		Games/Strategy
Requires:	freeciv-data = %{version}
BuildRequires:	imlib-devel
BuildRequires:	libSDL_mixer-devel
BuildRequires:	gtk+-devel >= 1.2
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
URL:		http://www.freeciv.org

%description
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

This package contains CivWorld, the editor for saved games and scenarios. 
CivWorld is considered unstable, but works reasonably well nonetheless.

%prep
%setup -q -n%{civname}-%{version}
%patch -p1
%patch1 -p1

%build
#./autogen.sh
autoconf
automake
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make

%install
rm -rf $RPM_BUILD_ROOT
install -m755 civworld/civworld -D $RPM_BUILD_ROOT%{_gamesbindir}/civworld

# menu
install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT%{_menudir}/%{name}

# icons
install -m644 %{SOURCE10} -D $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -fr %buildroot

%files
%defattr(-, root, root, 0755)
%doc civworld/ChangeLog civworld/README.civworld civworld/TODO.civworld
%defattr(-, root, games, 0755)
%{_gamesbindir}/civworld
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.14.0-4mdk
- update requires
- don't bzip2 icons
- cosmetics
- use %%make macro
- drop prefix tag
- use %%configure macro

* Fri Aug 01 2003 Michael Scherer <scherer.michael@free.fr> 1.14.0-3mdk 
- fix a typo in source blocking the compilation with gcc3.3

* Wed Mar 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.14.0-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Mon Mar 03 2003 andi payn <payn@myrealbox.com> 1.14.0-1payn
- first RPM package, based on Guillaume Cottenceau's freeciv package
